Subject: Re: [PATCH resend] make "git push" update origin and mirrors, "git push --mirror" update mirrors

From: Paolo Bonzini <[email-masked]>
Date: Mon, 28 Apr 2008 11:19:04 +0200

> BTW, I find myself decreasingly using "git fetch" in favor of "git
> remote update" which handles fetching from multiple remotes. That seems
> to be analagous to what you want with "git push". IOW, maybe instead of
> changing the default behavior of "git push" you would be happy with a
> "git remote push" which impacted multiple remotes.

I'm preparing a patch that has "git fetch" fetch from all remotes (same 
as "git remote update" with no groups defined) and "git push" push to 
all remotes.  I think this is much more sound; and it's not really as 
easy as this, but that's the idea. :-)

As always, thanks to the list for straightening my first design.  It 
happened for --track, for prepare-commit-msg (by the way, I am using it 
now that it's in 1.5.5, and it helps me so much) and for this too.  I 
hope that my improvements to git is worth your time, guys.

Paolo